Skip to main content
POST
/
uploads
/
audio
/
get_upload_url
Create Audio Upload URL
curl --request POST \
  --url https://api.example.com/uploads/audio/get_upload_url

Documentation Index

Fetch the complete documentation index at: https://docs.mosaic.so/llms.txt

Use this file to discover all available pages before exploring further.

Limits: 500 MB, 5 hour duration

Request

curl -X POST "https://api.mosaic.so/uploads/audio/get_upload_url" \
  -H "Authorization: Bearer mk_your_api_key"

Response

{
  "audio_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "upload_url": "https://storage.googleapis.com/...",
  "upload_fields": {
    "key": "...",
    "policy": "...",
    "x-goog-signature": "..."
  },
  "max_file_size_bytes": 524288000
}
Use audio_id in update_params after finalizing the upload.